-- $LastChangedDate: 2010-05-25 21:26:05 -0400 (Tue, 25 May 2010) $
-- LEGAL: COPYRIGHT (C) 2010 JIM E. BROOKS WWW.PALOMINO3D.ORG
-- Definitions.

defs = {
    PROGRAM_NAME_SHORT = "palomino",
    SCENE_BASENAME     = "GoldenGate",

    HUD_TICK_FREQ     = 250,
    ACTOR_TICK_FREQ   = 25,
    GAME_TICK_FREQ    = 0,
    MISSION_TICK_FREQ = 25,

    VIEW_OUTLINE_COLOR_DISABLED = RGBA( 0.4, 0.4, 0.4, 1.0 ),  -- gray
    VIEW_OUTLINE_COLOR_ENABLED  = RGBA( 1.0, 1.0, 0.6, 1.0 ),  -- gold

    HUD_STATUS_NO_RADAR_LOCK = "NO LOCK",
    HUD_STATUS_MISSILE_WARNING = "MISSILE WARN!",
    HUD_STATUS_MISSILE_MALFUNCTION = "MISSILE MALFUNC",

    AIRCRAFT_RADAR_RANGE_METERS  = 2400.0,  -- give player a chance
    SAM_RADAR_RANGE_METERS       = 2050.0,
    SAM_RADAR_MIN_ALT_METERS     = 75.0,  -- Radar cannot detect target below this altitude
}

-- Wimp mode.
if ( sim.argvMap["-wimp"] or sim.argvMap["-cheat"] ) then
    Log( "Cheat mode." )
    defs.SAM_RADAR_RANGE_METERS = 10.0
end
